import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询外协结算月设置列表
export function listOutsourceBalanceMonth(query) {
  return request({
    url: baseUrl + '/business/outsourceBalanceMonth/list',
    method: 'get',
    params: query
  })
}

// 查询外协结算月设置详细
export function getOutsourceBalanceMonth(id) {
  return request({
    url: baseUrl + '/business/outsourceBalanceMonth/' + id,
    method: 'get'
  })
}

// 新增外协结算月设置
export function addOutsourceBalanceMonth(data) {
  return request({
    url: baseUrl + '/business/outsourceBalanceMonth',
    method: 'post',
    data: data
  })
}

// 新增外协结算月设置
export function saveOutsourceBalanceMonth(data) {
  return request({
    url: baseUrl + '/business/outsourceBalanceMonth/save',
    method: 'post',
    data: data
  })
}
// 修改外协结算月设置
export function updateOutsourceBalanceMonth(data) {
  return request({
    url: baseUrl + '/business/outsourceBalanceMonth',
    method: 'put',
    data: data
  })
}

// 删除外协结算月设置
export function delOutsourceBalanceMonth(id) {
  return request({
    url: baseUrl + '/business/outsourceBalanceMonth/' + id,
    method: 'delete'
  })
}
